## firewall 0.35~deb7u1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	$(INSTALL) -d $(DESTDIR)/lib/firewall/rules.d $(DESTDIR)/etc/firewall.d
	$(INSTALL) -m 755 src/lib/firewall/firewall $(DESTDIR)/lib/firewall
	$(INSTALL) -m 644 src/lib/firewall/rules.d/* $(DESTDIR)/lib/firewall/rules.d
	$(INSTALL) -m 644 src/etc/firewall.d/* $(DESTDIR)/etc/firewall.d
	ln -s /lib/firewall/rules.d/00-init-ulog.rule $(DESTDIR)/etc/firewall.d
	ln -s /lib/firewall/rules.d/05-functions-debug.rule $(DESTDIR)/etc/firewall.d
	ln -s /lib/firewall/rules.d/05-functions-firewall.rule $(DESTDIR)/etc/firewall.d
	ln -s /lib/firewall/rules.d/05-functions-router.rule $(DESTDIR)/etc/firewall.d
	ln -s /lib/firewall/rules.d/99-ulog.rule $(DESTDIR)/etc/firewall.d

clean:

=== debian/changelog ===
firewall (0.35~deb7u1) wheezy; urgency=medium

  * Rebuild for wheezy
  * [ef1ff87] Make changes needed for Wheezy
    - debian/control: remove "Pre-Depends: dpkg (>= 1.17.14)"
    - debian/rules: remove "override_dh_installdocs" stanza
    - Remove debian/firewall-ulog.maintscript
    - Remove "-w" from iptables options
  * [bf77794] Make changes needed for Wheezy
    - Downgrade debhelper Build-Depends to (>=9)
    - Add Build-Depends on dh-systemd
    - Disable ulog chains for ipv6
  * [6a51eda] Silence lintian warning (missing dependency on $remote_fs)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 06 Jul 2019 17:37:30 +0200

firewall (0.35) unstable; urgency=medium

  * [bca74df] 05-functions-*.rule: fix comments
  * [26aba0d] Bump Standards-Version to 4.3.0

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 06 Jul 2019 15:03:49 +0200

firewall (0.34) unstable; urgency=medium

  * [42e9d83] Replace BANNED chain with new ban_ip function
    - packets are now banned in the raw table, so they can be dropped much
      sooner, and independently of the routing decision (so the ban can be
      configured either on a NAT router or on the destination host)
    - modify logging prefix to make it more consistent with other dropped
      packets
  * [87dc293] 05-functions-router.rule: fix typo in comment
  * [b15a10f] 05-functions-router.rule: fix functions for IPv6
  * [13fb286] 00-init-ulog.rule: fix error output
  * [f12a833] debian/rules: fix missing systemd addon
  * [913e01a] Bump Standards-Version to 4.1.5

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 17 Jul 2018 14:09:21 +0200

firewall (0.33) unstable; urgency=medium

  * [0672dc0] firewall-icmp: rename conffile
  * [f3f1ddb] firewall-mdns: rename conffile
  * [6d5f54f] Add new BANNED chain
  * [c9b3e3c] Add new DHCP-CL chain for DHCPv6 clients
  * [da973fe] New package: firewall-dhcpv6-client

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 23 Jun 2018 01:48:35 +0200

firewall (0.32.1) unstable; urgency=medium

  * Bugfix release
  * [9c771d9] /lib/firewall/firewall: fix/optimize script
    - fix/optimize grep/sed calls
    - optimize iptables/ip6tables calls
    - replace | with = in $CHAINS_AVAILABLE_LIST
  * [eb479e7] Update TODO

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 16 Jun 2018 16:55:28 +0200

firewall (0.32) unstable; urgency=medium

  * [f9b154a] README: add sections
  * [3659013] Default back to run before network interfaces are raised
    - Use sed transliteration instead of tr
    - Update init script
    - Document behavior in README
  * [34da56f] Add systemd service file
  * [47ce4fd] Implement preliminary IPv6 support
  * [80c3343] /lib/firewall/firewall: optimize script
    - Change some variables names for clarity
    - Greatly reduce running time by scanning needed chains differently:
      instead of scanning every rule file by loopîng through available
      chains, build an extended regexp of available chains and grep it
    - Make some functions stricter about case (remove transformations)
    - Add comments
  * [b9e0f58] 99-ulog.rule: remove unused code
  * [2d55b03] Remove MONITOR chain

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 14 Jun 2018 19:50:02 +0200

firewall (0.31) unstable; urgency=medium

  * [98c0052] debian/*.maintscript: remove version check
  * [726f385] Add new FTP chain
  * [0b8f764] Add 67/tcp to DHCP chain
  * [804f5be] Minor overhaul of the firewall script
    - Add, remove, and rename some functions
    - Greatly simplifiy and improve user-defined chains detection logic
    - Harmonize indentation of verbose output
  * [4930602] Separate ulog variables initialization
  * [23ec6ad] Add firewall functions rule file
  * [c8c39eb] Add router functions rule file (in separate package)
  * [00fe928] Add debug functions rule file (in separate package)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 13 May 2018 18:41:55 +0200

firewall (0.30) unstable; urgency=medium

  * [363ea44] Main script: add options only if non-empty
  * [f6b8c78] firewall: recommend firewall-icmp
  * [319b744] Bump Standards-Version to 4.1.4

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 13 Apr 2018 19:03:50 +0200

firewall (0.29) unstable; urgency=medium

  * [d7f63dd] Major overhaul of the firewall script
  * [e786533] Update init script
  * [ea53d76] Remove update-firewall-links and its manual page
  * [52b6cf3] Add debian/NEWS entry to announce the change
  * [747914c] Update /etc/firewall.d/README for the new behavior
  * [a83af7f] Add snippet in postinst to remove legacy links
  * [3e2badb] Add new SYNERGY chain

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 05 Apr 2018 13:29:21 +0200

firewall (0.28) unstable; urgency=medium

  * [889728c] Remove ifupdown hook.
    It creates problems with systemd, whose aggressive parallelizing
    abilities are now used by newer versions of ifupdown, and can end up
    running the hook multiple times simultaneously, which is not supported
  * [7021db7] Rename script: ifupdown.sh -> firewall
  * [0c334c0] /lib/firewall/firewall: add --stop option

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 01 Apr 2018 23:33:43 +0200

firewall (0.27) unstable; urgency=medium

  * [1bd9e3a] Switch versioned dependencies on dpkg to Pre-Depends

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 12 Jan 2018 03:49:55 +0100

firewall (0.26) unstable; urgency=medium

  * [da61a32] Add versioned dependencies on dpkg for maintscript helpers
  * [586c2f9] Fix typo MDNS -> mDNS
  * [5008c04] firewall-ulog: remove useless Pre-Depends on debconf
  * [787320c] New packages: firewall-icmp, firewall-mdns, firewall-relaxed

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 12 Jan 2018 00:31:57 +0100

firewall (0.25) unstable; urgency=medium

  * [83adf4a] Check if table is supported before flushing it
  * [146224f] Bump Standards-Version to 4.1.3
     - Drop Priority field from firewall-nflog
     - Use https in debian/copyright


=== debian/control ===
Source: firewall
Section: net
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 9), dh-systemd, po-debconf
Standards-Version: 4.3.0

Package: firewall
Architecture: all
Pre-Depends: debconf, dpkg (>= 1.15.7.2), ${misc:Pre-Depends}
Depends: iptables, lsb-base (>= 3.2-14), ${misc:Depends}
Recommends: firewall-icmp, firewall-ulog
Description: Very simple firewall - framework
 A very simple firewall system. The default configuration only allows outgoing
 connections and their answers, while everything else is silently dropped.
 .
 This package contains the main firewall script, and the configuration framework
 (but without any configuration file).

Package: firewall-ulog
Architecture: all
Depends: firewall (= ${source:Version}), ulogd2 | ulogd, ${misc:Depends}
Replaces: firewall-nflog (<< 0.10)
Breaks: firewall-nflog (<< 0.10)
Description: Very simple firewall - logging chains
 A very simple firewall system. The default configuration only allows outgoing
 connections and their answers, while everything else is silently dropped.
 .
 This package contains a configuration file to log every dropped packet with
 ulogd.

Package: firewall-nflog
Architecture: all
Depends: firewall-ulog (= ${source:Version}), ${misc:Depends}
Description: Transitional dummy package for firewall-ulog
 This is a transitional dummy package. It can safely be removed.

Package: firewall-icmp
Architecture: all
Depends: firewall (= ${source:Version}), ${misc:Depends}
Description: Very simple firewall - rules to allow ICMP
 A very simple firewall system. The default configuration only allows outgoing
 connections and their answers, while everything else is silently dropped.
 .
 This package contains a configuration file to allow all ICMP traffic.

Package: firewall-mdns
Architecture: all
Depends: firewall (= ${source:Version}), ${misc:Depends}
Description: Very simple firewall - rules to allow mDNS
 A very simple firewall system. The default configuration only allows outgoing
 connections and their answers, while everything else is silently dropped.
 .
 This package contains a configuration file to allow mDNS traffic (aka ZeroConf,
 aka Bonjour, aka Rendez-Vous).

Package: firewall-dhcpv6-client
Architecture: all
Depends: firewall (= ${source:Version}), ${misc:Depends}
Description: Very simple firewall - rules to allow DHCPv6 client
 A very simple firewall system. The default configuration only allows outgoing
 connections and their answers, while everything else is silently dropped.
 .
 This package contains a configuration file to allow DHCPv6 client traffic.

Package: firewall-relaxed
Architecture: all
Depends: firewall-icmp, firewall-mdns, ${misc:Depends}
Description: Very simple firewall - rleaxed rules
 A very simple firewall system. The default configuration only allows outgoing
 connections and their answers, while everything else is silently dropped.
 .
 This metapackage installs a small set of relaxed rules (allowing ICMP and
 mDNS).

Package: firewall-functions-router
Architecture: all
Depends: firewall (= ${source:Version}), ${misc:Depends}
Description: Very simple firewall - router functions
 A very simple firewall system. The default configuration only allows outgoing
 connections and their answers, while everything else is silently dropped.
 .
 This package contains a rule file adding some router functions (this only
 defines the functions, you still have to use them in rule files to allow any
 routing to happen).

Package: firewall-functions-debug
Architecture: all
Depends: firewall (= ${source:Version}), ${misc:Depends}
Description: Very simple firewall - debug functions
 A very simple firewall system. The default configuration only allows outgoing
 connections and their answers, while everything else is silently dropped.
 .
 This package contains a rule file adding some debug functions (this only
 defines the functions, you still have to use them in rule files to allow any
 debugging to happen).

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@ --with systemd

override_dh_clean:
	rm -f debian/firewall.install
	dh_clean

override_dh_install:
	cat debian/firewall.install.in > debian/firewall.install
	find debian/tmp/lib/firewall/rules.d -type f | sort | grep -E -v '(00-init-ulog|05-functions-(debug|router)|99-ulog)\.rule' | sed -e "s#debian/tmp/##" >> debian/firewall.install
	dh_install

override_dh_installinit:
	dh_installinit --no-start

## firewall 0.35~deb8u2

=== debian/changelog ===
firewall (0.35~deb8u2) jessie; urgency=medium

  * [afd1506] Fix systemd service file
  * [1d35f51] Fix debhelper compatibility level and Standards-Version

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 24 May 2023 23:37:33 +0200

firewall (0.35~deb8u1) jessie; urgency=medium

  * Rebuild for jessie
  * [71acbbf] Silence lintian warning (missing dependency on $remote_fs)
  * [bb1b4a8] Silence lintian warning (missing build-dependency on dh-systemd)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 06 Jul 2019 15:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
-Build-Depends: debhelper (>= 9), dh-systemd, po-debconf
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 9), po-debconf
+Standards-Version: 3.9.6
 
 Package: firewall
 Architecture: all
@@ -20,6 +20,7 @@
 Package: firewall-ulog
 Architecture: all
 Depends: firewall (= ${source:Version}), ulogd2 | ulogd, ${misc:Depends}
+Pre-Depends: dpkg (>= 1.17.14), ${misc:Pre-Depends}
 Replaces: firewall-nflog (<< 0.10)
 Breaks: firewall-nflog (<< 0.10)
 Description: Very simple firewall - logging chains

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,9 @@
 
 override_dh_installinit:
 	dh_installinit --no-start
+
+override_dh_systemd_start:
+	dh_systemd_start --no-start
+
+override_dh_installdocs:
+	dh_installdocs --link-doc firewall

## firewall 0.38.3~deb9u1

=== debian/changelog ===
firewall (0.38.3~deb9u1) stretch; urgency=medium

  * [1f8a5f3] Demote firewall-ulog to Suggests, and add DHCPv6/mDNS

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 15 Jan 2024 00:23:25 +0100

firewall (0.38.2~deb9u1) stretch; urgency=medium

  * [414da18] Fix System-V init script
  * [463027f] Fix systemd service file (systemd < 239)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 24 May 2023 22:21:57 +0200

firewall (0.38.1~deb9u1) stretch; urgency=medium

  * [49790ff] Fix help output

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 07 May 2023 10:00:11 +0200

firewall (0.38~deb9u1) stretch; urgency=medium

  * Rebuild for stretch

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 18:27:06 +0100

firewall (0.38) unstable; urgency=medium

  * [ed8a7ba] Fix iptables path in init script
  * [b4b8d31] Remove flawed --dump option
  * [88f57ad] Change some variables names
  * [5c810bc] Remove long options, use getopts
  * [248f9a7] Update/add functions
  * [5ca59c5] Add debug output
  * [2e3f3b2] Move code from Main to functions
  * [b515249] Change OUTPUT default policy to ACCEPT
  * [7592c60] Allow ICMP in basic configuration
  * [85e8e94] Add return codes
  * [fe80fdf] Add cache
  * [d4221ae] Split directories
    - Move main script to /bin, add manual page
    - Rename '/etc/firewall.d' to '/etc/firewall/rules.d'
    - Add 'lib/firewall/rules.d'
    - Add '/etc/firewall/chains.d', '/lib/firewall/chains.d'
    - Add '/etc/firewall/functions.d', '/lib/firewall/functions.d'
    - Rename & move chain files to '/lib/firewall/chains.d'
    - Rename & move function files to '/lib/firewall/functions.d'
    - Remove /etc/firewall.d/README (contents transferred to the manual page)
    - List each file in firewall.install to simplify debian/rules
    - Add check option and root check for other modes
    - Update systemd service file and SysV init script
    - Update package desctiptions
    - Update documentation
  * [d387352] Update chain files
  * [6067ffe] Update function files
  * [8ac1c0c] Remove obsolete sections in maintainer scripts
  * [ef50c42] Update dependency on dummy package lsb-base
  * [f3d020c] Update copyright years
  * [e3bf5b0] Update package descriptions
  * [6895223] Bump Standards-Version to 4.6.2
  * [e619ffb] Disable changelog trimming

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 14:48:36 +0100

firewall (0.37.2) unstable; urgency=medium

  * [2c0d3a9] Fix typo in changelog
  * [7767b9e] /lib/firewall/firewall: find iptables binaries in $PATH
  * [382e799] Bump Standards-Version to 4.6.1.0

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 11 Aug 2022 15:03:26 +0200

firewall (0.37.1) unstable; urgency=high

  * [2aaa1f1] /lib/firewall/firewall: fix redundant tables in
    TABLES_AVAILABLE_LIST

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 19 Jul 2021 15:45:58 +0200

firewall (0.37) unstable; urgency=medium

  * [ea4bfcd] /lib/firewall/firewall: cosmetic changes
  * [265bbab] /lib/firewall/firewall: remove unused variable CHAINS_LIST_NEEDED
  * [cd9f0a6] /lib/firewall/firewall: put available tables in a variable
  * [86a6851] /lib/firewall/firewall: modify function "get_chains_from_table"
  * [5b4a1bd] /lib/firewall/firewall: add function "chain_exists"
  * [e1f4081] /lib/firewall/firewall: also source init function with --exec
  * [6427547] /lib/firewall/firewall: change internal variable names

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 19 Jul 2021 15:25:33 +0200

firewall (0.36) unstable; urgency=medium

  * [ec6eef5] /lib/firewall/firewall: add --exec option
  * [8f6f91d] /lib/firewall/firewall: add short options
  * [9245ca6] 05-functions-firewall.rule: add unban_ip function
  * [22984e4] Bump debhelper compatibility level to 13
  * [102e03a] Bump Standards-Version to 4.5.1
  * [aa6df8d] Drop old lintian override "testsuite-autopkgtest-missing"

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 17 Jul 2021 11:03:46 +0200

=== debian/control ===
Source: firewall
Section: net
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 10~), po-debconf
Standards-Version: 3.9.8

Package: firewall
Architecture: all
Pre-Depends: debconf, dpkg (>= 1.15.7.2), ${misc:Pre-Depends}
Depends: iptables, lsb-base (>= 3.2-14), ${misc:Depends}
Suggests: firewall-ulog, firewall-dhcpv6-client, firewall-mdns
Description: Very simple firewall - framework
 A very simple firewall. The default configuration only allows ICMP, outgoing
 connections and their replies, and silently drops everything else.
 .
 This package contains the main script, and the basic framework (but without
 any additional configuration).

Package: firewall-ulog
Architecture: all
Depends: firewall (= ${source:Version}), ulogd2 | ulogd, ${misc:Depends}
Pre-Depends: dpkg (>= 1.17.14), ${misc:Pre-Depends}
Replaces: firewall-nflog (<< 0.10)
Breaks: firewall-nflog (<< 0.10)
Description: Very simple firewall - logging chains
 A very simple firewall. The default configuration only allows ICMP, outgoing
 connections and their replies, and silently drops everything else.
 .
 This package contains configuration to log dropped packets with ulogd.

Package: firewall-nflog
Architecture: all
Depends: firewall-ulog (= ${source:Version}), ${misc:Depends}
Description: Transitional dummy package for firewall-ulog
 This is a transitional dummy package. It can safely be removed.

Package: firewall-icmp
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2), ${misc:Pre-Depends}
Depends: firewall (= ${source:Version}), ${misc:Depends}
Description: Very simple firewall - rules to allow ICMP
 A very simple firewall. The default configuration only allows ICMP, outgoing
 connections and their replies, and silently drops everything else.
 .
 This package used to install additional firewall rules to allow ICMP, which
 are now included in the basic firewall configuration.
 .
 This is a transitional dummy package provided only to allow smooth upgrades.
 It can be safely removed.

Package: firewall-mdns
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2), ${misc:Pre-Depends}
Depends: firewall (= ${source:Version}), ${misc:Depends}
Breaks: firewall (<< 0.38~)
Replaces: firewall (<< 0.38~)
Description: Very simple firewall - rules to allow mDNS
 A very simple firewall. The default configuration only allows ICMP, outgoing
 connections and their replies, and silently drops everything else.
 .
 This package contains configuration to allow mDNS traffic (aka ZeroConf, aka
 Bonjour, aka Rendez-Vous).

Package: firewall-dhcpv6-client
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2), ${misc:Pre-Depends}
Depends: firewall (= ${source:Version}), ${misc:Depends}
Breaks: firewall (<< 0.38~)
Replaces: firewall (<< 0.38~)
Description: Very simple firewall - rules to allow DHCPv6 client
 A very simple firewall. The default configuration only allows ICMP, outgoing
 connections and their replies, and silently drops everything else.
 .
 This package contains configuration to allow DHCPv6 client traffic.

Package: firewall-relaxed
Architecture: all
Depends: firewall-mdns, ${misc:Depends}
Description: Very simple firewall - relaxed rules
 A very simple firewall. The default configuration only allows ICMP, outgoing
 connections and their replies, and silently drops everything else.
 .
 This metapackage used to depend on firewall-icmp and firewall-mdns, but ICMP
 is now included in the basic firewall configuration.
 .
 It will be removed in a later release, because having a metapackage depending
 on a single package is useless.
 .
 It can be safely removed after installing firewall-mdns manually if you want
 to allow mDNS (aka ZeroConf, Bonjour, Rendez-Vous) traffic.

Package: firewall-functions-router
Architecture: all
Depends: firewall (= ${source:Version}), ${misc:Depends}
Description: Very simple firewall - router functions
 A very simple firewall. The default configuration only allows ICMP, outgoing
 connections and their replies, and silently drops everything else.
 .
 This package adds functions for routers (this only defines the functions, you
 still have to use them in rule files to allow any routing to happen).

Package: firewall-functions-debug
Architecture: all
Depends: firewall (= ${source:Version}), ${misc:Depends}
Description: Very simple firewall - debug functions
 A very simple firewall. The default configuration only allows ICMP, outgoing
 connections and their replies, and silently drops everything else.
 .
 This package adds functions to debug the network traffic (this only defines
 the functions, you still have to use them in rule files to show the additional
 output in ulog).

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@ --with systemd

override_dh_installinit:
	dh_installinit --package firewall --no-start --only-scripts

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_installdocs:
	dh_installdocs --link-doc firewall

## firewall 0.38.3~deb10u1

=== debian/changelog ===
firewall (0.38.3~deb10u1) buster; urgency=medium

  * [39c48cc] Demote firewall-ulog to Suggests, and add DHCPv6/mDNS
  * [f683dc2] Silence lintian warning about missing changelog entries
  * [2cafa24] Silence lintian warning about missing test suite

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 15 Jan 2024 00:19:16 +0100

firewall (0.38.2~deb10u1) buster; urgency=medium

  * [86b3e5e] Fix System-V init script

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 24 May 2023 22:13:14 +0200

firewall (0.38.1~deb10u1) buster; urgency=medium

  * [18fa70f] Fix help output

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 07 May 2023 09:58:48 +0200

firewall (0.38~deb10u2) buster; urgency=medium

  * [39acff1] Hotfix for xtables (Buster only)

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 20:44:08 +0100

firewall (0.38~deb10u1) buster; urgency=medium

  * Rebuild for buster

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 18:39:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
-Build-Depends: debhelper (>= 10~), po-debconf
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), po-debconf
+Standards-Version: 4.3.0
 
 Package: firewall
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,13 @@
 #DH_VERBOSE = 1
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_installinit:
 	dh_installinit --package firewall --no-start --only-scripts
 
-override_dh_systemd_start:
-	dh_systemd_start --no-start
+override_dh_installsystemd:
+	dh_installsystemd --no-start
 
 override_dh_installdocs:
 	dh_installdocs --link-doc firewall

## firewall 0.38.3~deb11u1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	# Directories with standard file permissions
	$(INSTALL) -d $(DESTDIR)/bin
	$(INSTALL) -d $(DESTDIR)/etc/init.d
	$(INSTALL) -d $(DESTDIR)/etc/firewall/chains.d
	$(INSTALL) -d $(DESTDIR)/etc/firewall/functions.d
	$(INSTALL) -d $(DESTDIR)/etc/firewall/rules.d
	$(INSTALL) -d $(DESTDIR)/lib/firewall/chains.d
	$(INSTALL) -d $(DESTDIR)/lib/firewall/functions.d
	$(INSTALL) -d $(DESTDIR)/lib/firewall/rules.d
	$(INSTALL) -d $(DESTDIR)/lib/systemd/system
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man8
	$(INSTALL) -d $(DESTDIR)/var/cache/firewall
	# Files
	# Executables
	$(INSTALL) -m 755 src/bin/firewall $(DESTDIR)/bin
	# Rule, chain & function files
	$(INSTALL) -m 644 src/lib/firewall/rules.d/* $(DESTDIR)/lib/firewall/rules.d
	$(INSTALL) -m 644 src/lib/firewall/chains.d/* $(DESTDIR)/lib/firewall/chains.d
	$(INSTALL) -m 644 src/lib/firewall/functions.d/* $(DESTDIR)/lib/firewall/functions.d
	# Configuration files
	$(INSTALL) -m 644 src/etc/firewall/rules.d/* $(DESTDIR)/etc/firewall/rules.d
	# Init files
	$(INSTALL) src/etc/init.d/* $(DESTDIR)/etc/init.d
	$(INSTALL) -m 644 src/lib/systemd/system/* $(DESTDIR)/lib/systemd/system
	# Manual pages
	$(INSTALL) -m 644 src/usr/share/man/man8/* $(DESTDIR)/usr/share/man/man8

clean:

=== debian/changelog ===
firewall (0.38.3~deb11u1) bullseye; urgency=medium

  * [716ca31] Demote firewall-ulog to Suggests, and add DHCPv6/mDNS
  * [28c69cd] Silence lintian warning about missing changelog entries

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 15 Jan 2024 00:11:12 +0100

firewall (0.38.2~deb11u1) bullseye; urgency=medium

  * [d12f036] Fix System-V init script

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 24 May 2023 22:11:15 +0200

firewall (0.38.1~deb11u1) bullseye; urgency=medium

  * [ce740f6] Fix help output

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 07 May 2023 09:57:35 +0200

firewall (0.38~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 08 Mar 2023 14:50:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
-Build-Depends: debhelper-compat (= 12), po-debconf
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (=13), po-debconf
+Standards-Version: 4.5.1
 
 Package: firewall
 Architecture: all

## firewall 0.38.3~deb12u1

=== debian/changelog ===
firewall (0.38.3~deb12u1) bookworm; urgency=medium

  * [af0998d] Set Debian branch in debian/gbp.conf
  * [c52d5c6] Demote firewall-ulog to Suggests, and add DHCPv6/mDNS
  * [c01e260] Silence lintian warning about missing changelog entries

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 15 Jan 2024 00:06:30 +0100

firewall (0.38.2) unstable; urgency=medium

  * [c736ebc] Fix System-V init script

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 24 May 2023 22:08:53 +0200

firewall (0.38.1) unstable; urgency=medium

  * [5805dd6] Fix help output

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 07 May 2023 09:53:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Build-Depends: debhelper-compat (=13), po-debconf
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 
 Package: firewall
 Architecture: all
 Pre-Depends: debconf, dpkg (>= 1.15.7.2), ${misc:Pre-Depends}
-Depends: iptables, lsb-base (>= 3.2-14), ${misc:Depends}
+Depends: iptables, sysvinit-utils (>= 3.05-1), ${misc:Depends}
 Suggests: firewall-ulog, firewall-dhcpv6-client, firewall-mdns
 Description: Very simple firewall - framework
  A very simple firewall. The default configuration only allows ICMP, outgoing

## firewall 0.40

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	# Directories with standard file permissions
	$(INSTALL) -d $(DESTDIR)/etc/init.d
	$(INSTALL) -d $(DESTDIR)/etc/firewall/chains.d
	$(INSTALL) -d $(DESTDIR)/etc/firewall/functions.d
	$(INSTALL) -d $(DESTDIR)/etc/firewall/rules.d
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) -d $(DESTDIR)/usr/lib/firewall/chains.d
	$(INSTALL) -d $(DESTDIR)/usr/lib/firewall/functions.d
	$(INSTALL) -d $(DESTDIR)/usr/lib/firewall/rules.d
	$(INSTALL) -d $(DESTDIR)/usr/lib/systemd/system
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man8
	$(INSTALL) -d $(DESTDIR)/var/cache/firewall
	# Files
	# Executables
	$(INSTALL) -m 755 src/usr/bin/firewall $(DESTDIR)/usr/bin
	# Rule, chain & function files
	$(INSTALL) -m 644 src/usr/lib/firewall/rules.d/* $(DESTDIR)/usr/lib/firewall/rules.d
	$(INSTALL) -m 644 src/usr/lib/firewall/chains.d/* $(DESTDIR)/usr/lib/firewall/chains.d
	$(INSTALL) -m 644 src/usr/lib/firewall/functions.d/* $(DESTDIR)/usr/lib/firewall/functions.d
	# Configuration files
	$(INSTALL) -m 644 src/etc/firewall/rules.d/* $(DESTDIR)/etc/firewall/rules.d
	# Init files
	$(INSTALL) src/etc/init.d/* $(DESTDIR)/etc/init.d
	$(INSTALL) -m 644 src/usr/lib/systemd/system/* $(DESTDIR)/usr/lib/systemd/system
	# Manual pages
	$(INSTALL) -m 644 src/usr/share/man/man8/* $(DESTDIR)/usr/share/man/man8

clean:

=== debian/changelog ===
firewall (0.40) unstable; urgency=medium

  * [2ca4e77] Fix remaining references to /lib (DEP-17)
  * [3672d19] Silence lintian warnings about SysV init script
  * [fd030dd] Bump Standards-Version to 4.7.2

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 10 Apr 2025 00:46:19 +0200

firewall (0.39) unstable; urgency=medium

  * [892419a] Move files to /usr

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 22 Feb 2024 20:36:27 +0100

firewall (0.38.3) unstable; urgency=medium

  * [0d5e86d] Demote firewall-ulog to Suggests, and add DHCPv6/mDNS

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 14 Jan 2024 23:45:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Build-Depends: debhelper-compat (=13), po-debconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 
 Package: firewall
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 
 override_dh_installdocs:
 	dh_installdocs --link-doc firewall
+
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim
